package com.goldenwater.slaj.ttsa.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.ttsa.mapper.BisTtsaCertChaPersMapper;
import com.goldenwater.slaj.ttsa.domain.BisTtsaCertChaPers;
import com.goldenwater.slaj.ttsa.service.IBisTtsaCertChaPersService;

@Service
public class BisTtsaCertChaPersServiceImpl implements IBisTtsaCertChaPersService {
    @Autowired
    private BisTtsaCertChaPersMapper bisTtsaCertChaPersMapper;

    @Override
    public BisTtsaCertChaPers selectBisTtsaCertChaPersByGuid(String guid) {
        return bisTtsaCertChaPersMapper.selectBisTtsaCertChaPersByGuid(guid);
    }

    @Override
    public List<BisTtsaCertChaPers> selectBisTtsaCertChaPersList(BisTtsaCertChaPers bisTtsaCertChaPers) {
        return bisTtsaCertChaPersMapper.selectBisTtsaCertChaPersList(bisTtsaCertChaPers);
    }

    @Override
    public int insertBisTtsaCertChaPers(BisTtsaCertChaPers bisTtsaCertChaPers) {
        return bisTtsaCertChaPersMapper.insertBisTtsaCertChaPers(bisTtsaCertChaPers);
    }

    @Override
    public int updateBisTtsaCertChaPers(BisTtsaCertChaPers bisTtsaCertChaPers) {
        return bisTtsaCertChaPersMapper.updateBisTtsaCertChaPers(bisTtsaCertChaPers);
    }

    @Override
    public int deleteBisTtsaCertChaPersByGuid(String guid) {
        return bisTtsaCertChaPersMapper.deleteBisTtsaCertChaPersByGuid(guid);
    }

    @Override
    public int deleteBisTtsaCertChaPersByGuids(String[] guids) {
        return bisTtsaCertChaPersMapper.deleteBisTtsaCertChaPersByGuids(guids);
    }
}
